Raise an alarm manually (starts escalation)
POST
/api/v1/alerts
const url = 'https://example.com/api/v1/alerts';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"dedupKey":"example","escalationPolicy":"example","labels":{"additionalProperty":"example"},"message":"example","objectId":"example","severity":"example","title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/alerts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "dedupKey": "example", "escalationPolicy": "example", "labels": { "additionalProperty": "example" }, "message": "example", "objectId": "example", "severity": "example", "title": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
dedupKey
string
escalationPolicy
string
labels
object
key
additional properties
string
message
string
objectId
string
severity
string
title
required
string
Examplegenerated
{ "dedupKey": "example", "escalationPolicy": "example", "labels": { "additionalProperty": "example" }, "message": "example", "objectId": "example", "severity": "example", "title": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
ackedAt
string format: date-time
ackedBy
string
dedupKey
string
eventIds
Array<string>
id
required
string
incidentId
string
labels
object
key
additional properties
string
objectId
string
openedAt
required
string format: date-time
payload
required
string format: byte
resolvedAt
string format: date-time
ruleId
string
severity
required
string
snoozedUntil
string format: date-time
status
required
string
tenantId
required
string
ticket
object
autoClose
boolean
channel
required
string
ref
required
string
type
required
string
url
string
title
required
string
Examplegenerated
{ "ackedAt": "2026-04-15T12:00:00Z", "ackedBy": "example", "dedupKey": "example", "eventIds": [ "example" ], "id": "example", "incidentId": "example", "labels": { "additionalProperty": "example" }, "objectId": "example", "openedAt": "2026-04-15T12:00:00Z", "payload": "example", "resolvedAt": "2026-04-15T12:00:00Z", "ruleId": "example", "severity": "example", "snoozedUntil": "2026-04-15T12:00:00Z", "status": "example", "tenantId": "example", "ticket": { "autoClose": true, "channel": "example", "ref": "example", "type": "example", "url": "example" }, "title": "example"}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}